import type { TransformNode } from "@babylonjs/core/Meshes/transformNode";
import { SceneElement } from "../core/mdl/SceneElement";
import { ArticleElement } from "./ArticleElement";
import type { ArticleManager } from "./ArticleManager";
import type { MainArticleElement } from "./MainArticleElement";
export declare class SubArticleElement extends ArticleElement {
    constructor(pMainArticle: MainArticleElement, pBasketId: string, pManager: ArticleManager, pNode: TransformNode);
    canTranslate(): boolean;
    canRotate(): boolean;
    canDelete(): boolean;
    canSelect(): boolean;
    isInstanced(): boolean;
    ensureIsInstanced(): Promise<void>;
    getMainElement(): SceneElement;
    getMainArticle(): MainArticleElement;
    getParentArticle(): ArticleElement | null;
    isMainArticle(): this is MainArticleElement;
    isSubArticle(): this is SubArticleElement;
    clone(pNewParent?: TransformNode | null): SceneElement | null;
    private mMainArticle;
}
