import type { ArticleElement } from "../ArticleElement";
import type { ArticleManager } from "../ArticleManager";
export declare class Interactors {
    get manager(): ArticleManager;
    get article(): ArticleElement;
    constructor(pArticle: ArticleElement, pManager: ArticleManager);
    showInteractors(pShow: boolean): void;
    dispose(): void;
    private static readonly PICKING_ID;
    private static sPickingIDCounter;
    private mMngr;
    private mArticle;
    private mInteractors;
    private mGetInteractorsPromise;
    private mVisCheckTimeout;
    private mDisableRequestVisCheck;
    private mCurrentPickingId;
    private mInstantVisCheck;
    private onInstantVisibilityCheck;
    private onVisibilityCheck;
    private clear;
    private clearVisCheckTimeout;
    private getAndCreateInteractors;
    private createInteractors;
    private createInteractor;
    private pickPredicate;
    private checkInteractorVisibilities;
    private checkInteractorVisibility;
}
