import { Vector2 as BJSVector2, Vector3 as BJSVector3, Quaternion as BJSQuaternion } from "@babylonjs/core/Maths/math.vector";
import { Color3 as BJSColor3 } from "@babylonjs/core/Maths/math.color";
import type { Color3, Quaternion, Vector2, Vector3 } from "./Types";
export declare function stringifyToJson(pData: unknown): string;
export declare function serializeQuaternion(pQ: BJSQuaternion): Quaternion;
export declare function deserializeQuaternion(pQ: Quaternion): BJSQuaternion;
export declare function serializeVector2(pV: BJSVector2): Vector2;
export declare function deserializeVector2(pV: Vector2): BJSVector2;
export declare function serializeVector3(pV: BJSVector3): Vector3;
export declare function deserializeVector3(pV: Vector3): BJSVector3;
export declare function serializeColor3(pC: BJSColor3): Color3;
export declare function deserializeColor3(pC: Color3): BJSColor3;
