import type { TransformNode } from "@babylonjs/core/Meshes/transformNode";
import type { DocumentOutputContext } from "../io/Types";
import * as ioTypes from "./io/Types";
import { SceneElement } from "./SceneElement";
/**
 * A simple graphical scene element which supports serialization.
 * E.g. can be used for imported models.
 */
export declare class BasicElement extends SceneElement {
    clone(pNewParent?: TransformNode | null): BasicElement | null;
    serialize(pContext: DocumentOutputContext): ioTypes.SceneElement | null;
}
