export declare class ResourceCache<T> {
    onDisposeResource: ((pResource: T, pCacheCleared: boolean) => void) | null;
    constructor();
    has(pKey: string): boolean;
    add(pKey: string, pResource: T): boolean;
    get(pKey: string): T | null;
    remove(pKey: string, pDispose?: boolean): boolean;
    forEach(pCallback: (pKey: string, pResource: T) => void): void;
    clear(pDispose?: boolean): void;
    removeUnused(pUsedResources: Set<string>, pMaxTimeUnused: number, pDispose?: boolean): void;
    private mCache;
}
