import { Texture as BJSTexture } from "@babylonjs/core/Materials/Textures/texture";
import { Matrix } from "@babylonjs/core/Maths/math.vector";
import type { Scene } from "@babylonjs/core/scene";
import type { Nullable } from "@babylonjs/core/types";
export declare class Texture extends BJSTexture {
    get isClone(): boolean;
    isResource: boolean;
    isFallback: boolean;
    id: string;
    constructor(pUrl: Nullable<string>, pScene: Nullable<Scene>, pOnLoad?: Nullable<() => void>, pOnError?: Nullable<(message?: string, esception?: any) => void>, pSamplingMode?: number, pFormat?: number);
    notifyTextureMatrixChanged(): void;
    getTextureMatrix(): Matrix;
    clone(): Texture;
    private mIsClone;
    private mTextureMatrix;
}
