import { Matrix, Vector3 } from "@babylonjs/core/Maths/math.vector";
import type { Scene } from "@babylonjs/core/scene";
import type { PointerInfo } from "../view/InputState";
import type { View } from "../view/View";
export declare class LengthFeedback {
    showAbsoluteValues: boolean;
    constructor(pPosIndex: number, pRefPoint: Vector3, pAxis: Vector3, pColor: string, pNormal: Vector3, pScene: Scene, pView: View, pWorlMatrix?: Matrix, pShowStartArrowHead?: boolean);
    update(pPointer: PointerInfo | null | undefined, pCurrentPoint: Vector3 | null): void;
    dispose(): void;
    private mView;
    private mApp;
    private mScene;
    private mValueDiv;
    private mRefPoint;
    private mAxis;
    private mPosIndex;
    private mNormal;
    private mWorldMatrix;
    private mMaterial;
    private mArrowHead;
    private mArrowHeadStart;
    private mLine1;
    private mLine2;
    private mLine1PosData;
    private mLine2PosData;
}
