import { TargetCamera } from "@babylonjs/core/Cameras/targetCamera";
import { Matrix, Vector3 } from "@babylonjs/core/Maths/math.vector";
import type { View } from "./View";
export declare class Camera extends TargetCamera {
    get view(): View;
    constructor(pView: View);
    setTarget(pTarget: Vector3): void;
    getProjectionMatrix(pForce?: boolean): Matrix;
    notifyProjectionChanged(): void;
    private static readonly UP_Y;
    private static readonly UP_Z;
    private static readonly UP_NEG_Z;
    private mView;
    private mProjectionChanged;
    private mProjectionOffsetX;
    private mProjectionOffsetY;
    private mFixedAspectRatio;
}
