import type { Vector3 } from "../../io/Types";
export interface Viewer {
    views: Array<View>;
}
export interface View {
    cameraSettings: Array<CameraSetting>;
}
export interface CameraSetting {
    mode: string;
    position: Vector3;
    direction: Vector3;
    orthoTop?: number;
    fov?: number;
    active?: boolean;
}
