import { SoapRequestData, SoapService } from "./../SoapService";
/**
 * @deprecated Use REST API of PriceProfile plugin instead.
 */
export declare class PriceProfileService extends SoapService {
    constructor(pBaseUrl: string, pSessionId: string);
    addRules(pAccMeth: string, pRules: Array<ConditionRule>): Promise<void>;
    getRules(pAccMeth: string): Promise<Array<ConditionRule>>;
    loadCsv(pAccMeth: string, pCsvPath: string): Promise<void>;
    removeRules(pAccMeth?: string): Promise<void>;
}
export declare class ConditionRule extends SoapRequestData {
    manufacturer?: string;
    series?: string;
    baseArticleNumber?: string;
    finalArticleNumber?: string;
    itemId?: string;
    value: number;
    currency?: string;
    constructor();
    static FromSoapArrayNU(pSoapArray: any): Array<ConditionRule>;
    static FromSoapNU(this: void, pSoapData: any): ConditionRule;
}
declare const _ConditionRuleBase: typeof import("./PriceProfileService").ConditionRule;
export declare namespace PriceProfileService {
    /**
    * @deprecated Use REST API of PriceProfile plugin instead.
    */
    class ConditionRule extends _ConditionRuleBase {
    }
}
export {};
