import type { Vector3 } from "@babylonjs/core/Maths/math.vector";
import { Vector2 } from "@babylonjs/core/Maths/math.vector";
import type { InputState } from "../../core/view/InputState";
import { AbstractMove } from "./AbstractMove";
export declare class TouchDefaultMove extends AbstractMove {
    start(pUseRefPoint: boolean): boolean;
    initialize(pRefPoint: Vector3, pMoveY: boolean, pAllowMoveBelowGround: boolean, pGroundPosition: number): void;
    protected prepareSnapping(): void;
    protected performSnap(pPos: Vector3): Vector3 | null;
    protected getPointerPosition(pEvent: PointerEvent, pState: InputState, pInitialPos: boolean): Vector2 | null;
}
