export declare abstract class Log {
    static onWarn: ((pMsg: string) => void) | undefined;
    static onError: ((pMsg: string, pError: unknown) => void) | undefined;
    static debug(pMsg: string): void;
    static info(pMsg: string): void;
    static warn(pMsg: string): void;
    static error(pMsg: string, pError?: unknown): void;
    private static FormatMsg;
}
export default Log;
