export declare const EPSILON: number;
export declare const PI_MUL2: number;
export declare const PI_DIV2: number;
export declare const PI_DIV4: number;
export declare const FACTOR_DEG_TO_RAD: number;
export declare const FACTOR_RAD_TO_DEG: number;
/**
 * Epsilon equal test.
 */
export declare function eq(pN1: number, pN2: number, pEpsilon?: number): boolean;
/**
 * Epsilon greater equal test.
 */
export declare function geq(pN1: number, pN2: number, pEpsilon?: number): boolean;
/**
 * Epsilon lesser equal test.
 */
export declare function leq(pN1: number, pN2: number, pEpsilon?: number): boolean;
export declare function clamp(pValue: number, pMin: number, pMax: number): number;
export declare function roundTo(pValue: number, pDecimals: number): number;
export declare function radToDeg(pRad: number): number;
export declare function degToRad(pDeg: number): number;
