/** options for article configuration */
export interface ArticleConfigurationOptions {
    /** enables high resolution property icons (default: false) */
    highResPropValueIcons: boolean;
    /** enables fetching of property images (default: false) */
    fetchPropValueImages: boolean;
    /** if true spaces and colons at the end of the property text/name will be removed (default: true) */
    trimPropText: boolean;
}
