import { ArticleItem } from "./ArticleItem";
import type { BasketItem } from "./BasketItem";
import type { EditableLabelItem } from "./BaseItem";
export declare class SetArticleItem extends ArticleItem implements EditableLabelItem {
    get isGroup(): boolean;
    get isOfmlArticle(): boolean;
    /**
     * Sets the label (shortText) of this set article.
     */
    setLabel(pLabel: string): Promise<void>;
    setShortText(pText: string): Promise<void>;
    setManufacturerId(pId: string): Promise<void>;
    setSeriesId(pId: string): Promise<void>;
    setArticleNumber(pArticleNumber: string): Promise<void>;
    /**
     * Sets the `collapsed` flag of this set article.
     */
    setCollapsed(pCollapsed: boolean): Promise<void>;
    getSetParts(): Array<BasketItem>;
    protected generateImageUrl(): Promise<void>;
}
