import * as basket from "../eaiws/basket";
import { ArticleItem } from "./ArticleItem";
import type { EditableLabelItem } from "./BaseItem";
export declare class UserArticleItem extends ArticleItem implements EditableLabelItem {
    get isOfmlArticle(): boolean;
    /**
     * Sets the label (shortText) of this user article.
     */
    setLabel(pLabel: string): Promise<void>;
    setShortText(pText: string): Promise<void>;
    setManufacturerId(pId: string): Promise<void>;
    setSeriesId(pId: string): Promise<void>;
    setArticleNumber(pArticleNumber: string): Promise<void>;
    setPrice(pPurchasePrice: number, pSalesPrice: number, pCurrency: string): Promise<void>;
    setPurchasePrice(pPrice: number, pCurrency: string): Promise<void>;
    setSalesPrice(pPrice: number, pCurrency: string): Promise<void>;
    setPriceDate(pDate: basket.IsoDateString): Promise<void>;
    protected generateImageUrl(): Promise<void>;
}
