import { MultiPropertyProvider } from "../../core/prop";
import { ListenableEvent } from "../../utils";
export declare class MultiArticlePropertyProvider extends MultiPropertyProvider {
    readonly eventSetPropValueError: ListenableEvent<unknown, MultiArticlePropertyProvider>;
    protected beginSetPropertyValue(): void;
    protected endSetPropertyValue(): void;
    protected finalizeSetPropertyValue(): Promise<void>;
    private mBasket;
    private mChangedParents;
    private mChangedMainArticles;
    private constructor();
}
