import { Vector3, Quaternion } from "@babylonjs/core/Maths/math.vector";
import * as basket from "../eaiws/basket";
import type { EaiwsSession } from "../eaiws";
export declare class Helpers {
    static Vector3FromEaiwsVector(pEVec?: basket.Vector3): Vector3;
    static Vector3CopyFromEaiwsVector(pVec3: Vector3, pEVec?: basket.Vector3): void;
    static QuaternionFromEaiwsRotation(pERot?: basket.Rotation): Quaternion;
    static getOfmlUpdateState(pSession: EaiwsSession, pBasketId: string): Promise<basket.OFMLUpdateState>;
    static updateOfmlArticle(pSession: EaiwsSession, pBasketId: string, pMigrate: boolean, pPriceDate?: basket.IsoDateString): Promise<basket.OFMLUpdateState>;
}
