import type { TransformNode } from "@babylonjs/core/Meshes/transformNode";
import type { DocumentOutputContext } from "../core/io/Types";
import { SceneElement } from "../core/mdl/SceneElement";
import type * as mdlioTypes from "../core/mdl/io/Types";
import { MainArticleElement } from "./MainArticleElement";
export declare class UserArticleElement extends MainArticleElement {
    static readonly CLASS_ID: string;
    updateGeometry(pValidateSelection?: boolean): Promise<void>;
    clone(pNewParent?: TransformNode | null): SceneElement;
    serialize(pContext: DocumentOutputContext): mdlioTypes.SceneElement | null;
    protected supportScaleEaiwsTransform(): boolean;
}
