import type { ElementNode, SceneElement } from "../../core/mdl/io/Types";
export interface MainArticleElement extends SceneElement {
    placeholderGeometry?: boolean;
    node: ArticleElementNode;
}
export interface UserArticleElement extends MainArticleElement {
}
export interface ArticleElementNode extends ElementNode {
    basketId?: string;
    selectable?: boolean;
    nodes?: Array<ArticleElementNode>;
}
