import { ListenableEvent } from "../utils";
import { LengthUnit } from "../utils/number";
export declare class I18nManager {
    get locale(): string;
    get language(): string;
    get lengthUnit(): LengthUnit;
    readonly eventLocaleChanged: ListenableEvent<void, I18nManager>;
    readonly eventLanguageChanged: ListenableEvent<void, I18nManager>;
    readonly eventLengthUnitChanged: ListenableEvent<void, I18nManager>;
    constructor();
    setLocale(pLocale: string): void;
    setLanguage(pLanguage: string): void;
    setLengthUnit(pUnit: LengthUnit): void;
    private mLocale;
    private mLanguage;
    private mLengthUnit;
}
