export interface Command {
    isAvailable(): boolean;
    isUndoable(): boolean;
    isSignificant(): boolean;
    /**
     * Executes the command. Returns false if the execution was canceled/aborted.
     */
    execute(pParameter: unknown): Promise<boolean>;
    undo(): Promise<void>;
    redo(): Promise<void>;
    dispose(): void;
}
