import type { Application } from "../Application";
import type { Property, PropertyValueType } from "../prop/Property";
import { PropertyChangedResult } from "../prop/PropertyProvider";
import { AbstractCommand } from "./AbstractCommand";
export declare class SetPropertyValue extends AbstractCommand {
    get lastResult(): PropertyChangedResult;
    constructor(pApp: Application, pProperty: Property, pValue: PropertyValueType);
    isAvailable(): boolean;
    isUndoable(): boolean;
    execute(pParameter: unknown): Promise<boolean>;
    undo(): Promise<void>;
    redo(): Promise<void>;
    private mProperty;
    private mUndoValue;
    private mRedoValue;
    private mLastResult;
    private setPropertyValue;
}
