import type { Node } from "@babylonjs/core/node";
export declare class NodeUserData {
    constructor(pOtherUserData?: NodeUserData | null);
    getData<T>(pKey: string): T | null;
    setData<T>(pKey: string, pValue: T): void;
    assignToNode(pNode: Node): void;
    clone(): NodeUserData;
    static FromNode(pNode: Node | null, pCreate?: boolean): NodeUserData | null;
    static GetData<T>(pNode: Node, pKey: string): T | null;
    static SetData<T>(pNode: Node, pKey: string, pValue: T): void;
    private static readonly USERDATA_PROPERTY;
    private mData;
}
