import { TransformNode } from "@babylonjs/core/Meshes/transformNode";
import type { DocumentInputContext, DocumentOutputContext } from "../../io/Types";
import type { ModelManager } from "../ModelManager";
import type { ElementNode } from "./Types";
export declare function serializeNode(pModel: ModelManager, pContext: DocumentOutputContext, pNode: TransformNode, pProcessChilds?: boolean, pNodeCallback?: (pNode: TransformNode, pIONode: ElementNode) => void): ElementNode;
export declare function deserializeNode(pModel: ModelManager, pContext: DocumentInputContext, pIONode: ElementNode, pParentNode?: TransformNode | null, pNodeCallback?: (pIONode: ElementNode, pNode: TransformNode) => void): TransformNode;
