import type { Application } from "../Application";
import type { ShadowGenerator } from "./ShadowGenerator";
export declare class RenderingManager {
    get shadowGenerators(): ReadonlyArray<ShadowGenerator>;
    constructor(pApp: Application);
    addShadowGenerator(pGenerator: ShadowGenerator): void;
    removeShadowGenerator(pGenerator: ShadowGenerator): void;
    notifyModelInteraction(): void;
    private mApp;
    private mShadowGenerators;
}
