import { Vector3 } from "@babylonjs/core/Maths/math.vector";
import type { View } from "../view/View";
export declare class SnapGrid {
    offset: Vector3;
    size: Vector3;
    snapXAxis: boolean;
    snapYAxis: boolean;
    snapZAxis: boolean;
    constructor();
    updateSize(pRefPos: Vector3, pView: View): void;
    snap(pPos: Vector3, pView: View): Vector3;
}
