import { Vector3 } from "@babylonjs/core/Maths/math.vector";
import type { View } from "../view/View";
export declare abstract class SnapPoint {
    /**
     * Find nearest snap point. If pView is null pSnapDistance will be handled as meter otherwise as pixel.
     */
    static Snap(pPos: Vector3, pPoints: Array<Vector3>, pView: View | null, pSnapDistance?: number): Vector3 | null;
}
