import { Plane } from "@babylonjs/core/Maths/math.plane";
import type { Vector2 } from "@babylonjs/core/Maths/math.vector";
import { Vector3 } from "@babylonjs/core/Maths/math.vector";
import type { Application } from "../../core/Application";
import { TransformElements } from "../../core/cmd/TransformElements";
import { AbstractTool } from "../../core/tool/AbstractTool";
import type { InputState } from "../../core/view/InputState";
import type { View } from "../../core/view/View";
export declare class AbstractRotate extends AbstractTool {
    constructor(pApp: Application);
    start(pParameter: unknown): boolean;
    stop(): void;
    handlePointerUp(pEvent: PointerEvent, pState: InputState): void;
    protected mView: View;
    protected mCommand: TransformElements | null;
    protected mIsFinished: boolean;
    protected mRefPoint: Vector3;
    protected mTransformedRefPoint: Vector3;
    protected mPickPlane: Plane | null;
    protected mAxisVector: Vector3;
    protected mLocalRotation: boolean;
    protected mTotalAngle: number;
    protected getPlanePickPos(pPos: Vector2): Vector3 | null;
}
