import type { Application } from "../../core/Application";
import type { InputState } from "../../core/view/InputState";
import { AbstractRotate } from "./AbstractRotate";
export declare class TouchDefaultRotate extends AbstractRotate {
    constructor(pApp: Application);
    start(pParameter: unknown): boolean;
    stop(): void;
    handlePointerMove(pEvent: PointerEvent, pState: InputState): void;
    initialize(): void;
    private mLastAngle;
    private getPointerAngle;
}
